Skip to main content
`Ctrl`+`K`

# PetscOptionsGetStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetStringArray(PetscOptions options, const char pre[], const char name[], char *strings[], PetscInt *nmax, PetscBool *set)

Not Collective; No Fortran Support

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - string to prepend to name or `NULL`

- name - the option one is seeking

## Output Parameters

- strings - location to copy strings

- nmax - On input maximum number of strings, on output the actual number of strings found

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Notes

The `nmax` parameter is used for both input and output.

The user should pass in an array of pointers to char, to hold all the strings returned by this function.

The user is responsible for deallocating the strings that are returned.

## See Also

`PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/ts/tutorials/extchem.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages